apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: takahe
  labels:
    app.kubernetes.io/name: takahe
    app.kubernetes.io/component: webserver
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/router.middlewares: kube-system-redirect-https@kubernetescrd
spec:
  rules:
    - host: social.tobru.ch
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: webserver
                port:
                  name: web
  tls:
  - hosts:
    - social.tobru.ch
    secretName: ingress-cert
